VDOAUDIT(8)

NAME
vdoaudit - confirm the reference counts of a VDO device

SYNOPSIS
vdoaudit [options...] filename

DESCRIPTION
vdoaudit adds up the logical block references to all physical blocks of a VDO device found in filename, then compares that sum to the stored number of logical blocks. It also confirms all of the actual reference counts on all physical blocks against the stored reference counts. Finally, it validates that the slab summary approximation of the free blocks in each slab is correct.

filename must be the path of the VDODataLV as described in lvmvdo(7).

If --verbose is specified, a line item will be reported for each inconsistency; otherwise a summary of the problems will be displayed.

OPTIONS

--help
    Print this help message and exit.

--summary
    Display a summary of any problems found on the volume.

--verbose
    Display a line item for each inconsistency found on the volume.

--version
    Show the version of vdoaudit.

EXAMPLE
# lvchange -ay vdo1/vdo0pool_vdata
# vdoaudit --verbose /dev/mapper/vdo1-vdo0pool_vdata
# lvchange -an vdo1/vdo0pool_vdata

SEE ALSO
lvmvdo(7), lvchange(8)